#if defined (__cplusplus)
extern "C" {
#endif

#ifndef MULTITHRES_H
#define MULTITHRES_H

/* Deklarationen für das Programm: mehrschwellen */
Picture *mehrschwellen(Picture *,unsigned int *,int, int ,int *); 

void histogram_erstellen(Picture *,int ,int, unsigned int *);

void schwellwerte_berechnen(Picture *, 
			    unsigned int *, int, int, unsigned int *, short *);

Picture *binarisierung(Picture *,short *,unsigned int *, int *);

#endif MEHRSCHWELLEN_H

#if defined (__cplusplus)
}
#endif
